<?php

namespace Drupal\opigno_migration\H5PMigrationClasses;

/**
 * H5P editor migrate validator.
 *
 * @package Drupal\opigno_migration\H5PMigrationClasses
 */
class H5PEditorAjaxMigrate extends \H5PEditorAjax {

  /**
   * Validates the package. Sets error messages if validation fails.
   *
   * @param bool $skipContent
   *   Will not validate content if set to TRUE.
   *
   * @return bool
   *   Valid package flag.
   */
  public function isValidPackage(bool $skipContent = FALSE): bool {
    $validator = new H5PValidatorMigration($this->core->h5pF, $this->core);
    if (!$validator->isValidPackage($skipContent)) {
      $this->storage->removeTemporarilySavedFiles($this->core->h5pF->getUploadedH5pPath());
      \Drupal::logger('opigno_groups_migration')->error('Validating h5p package failed.');

      return FALSE;
    }

    return TRUE;
  }

}
